/*
          Program: Ti51Ctrl.PRG
       Written by: Christopher A. Zielinski,  (CIS: 72723,2701)
             Date: 94.06.24

          Compile: Clipper TI51CTRL /W /N

       Copyright (c) 1994  Christopher A. Zielinski
*/
////////////////////////////////////////////////////////////////////////////////

STATIC bStaticCodeBlock

FUNCTION EvalTi( nEveryNthSec, bCodeBlock )
    LOCAL lSuccess
    IF VALTYPE( bCodeBlock ) != "B"
        lSuccess := .F.
    ELSEIf VALTYPE( nEveryNthSec ) != "N"
        lSuccess := .F.
    ELSEIF nEveryNthSec <= 0
        lSuccess := .F.
    ELSE
        __SetBlock( bCodeBlock )
        IF ! _TIHook( nEveryNthSec )
            lSuccess := .F.
        ELSE
            lSuccess := .T.
        END
    END
    RETURN ( lSuccess )


FUNCTION UnEvalTi()
    RETURN ( _TIUnhook() )


STATIC PROCEDURE __SetBlock( bCodeBlock )
    bStaticCodeBlock := bCodeBlock
    RETURN


PROCEDURE _TIME_EVAL()
    EVAL( bStaticCodeBlock )
    RETURN


