/*
       Written by: Christopher A. Zielinski,  (CIS: 72723,2701)
             Date: 94.06.24

       Copyright (c) 1994  Christopher A. Zielinski
*/
////////////////////////////////////////////////////////////////////////////////

#include "Extend.H"               // Clipper's extended library include file
#include <dos.h>

struct value {                    // Clipper's stack value frame
  unsigned int type;
  byte fValueBuffer[12];
};

typedef struct value VALUE;       // In this ie, we are only using VALUE->type
typedef unsigned char byte;
typedef void * SYMBOL;            // Pointer to Clipper symbol

#define INT_TICKS       0x1C      // Interrupt generated on each clock tick
#define TICKS_PER_SEC   18.2      // Number of clock ticks per second
#define VT_NIL          0x0000

extern VALUE near * _eval;        // Storage for return value from Clipper function
extern VALUE near * _tos;         // Clipper's Top-of-Stack pointer

extern SYMBOL * _chk_sym( char * );
extern void _xdo( unsigned int );
void _putsym( SYMBOL * );

void ( _cdecl _interrupt _far *old_int )( void ) = NULL;
void _cdecl _interrupt _far ISR_Routine( void );
byte _far *_getindosAddress( void );


